/*----------------------------------------------------------*/
/*	マクロ定義												*/
/*----------------------------------------------------------*/
//変換モード設定
#define	CHG_MODE_DEFAULT		(0)		//変換なし
#define	CHG_MODE_PERSPECTIVE	(1)		//透視投影
#define	CHG_MODE_BIRDS_EYE		(2)		//俯瞰合成
#define CHG_MODE_MAX			(3)		//MAX

//撮影モード設定
#define	CAPT_MODE_PICTURE		(0)		//静止画
#define	CAPT_MODE_VIDEO			(1)		//動画
#define	CAPT_MODE_MAX			(2)		//MAX

//キャプチャ動作のトリガ
#define	CAPT_TRIG_STOP			(0)		//停止
#define	CAPT_TRIG_START			(1)		//開始
#define	CAPT_TRIG_MAX			(2)		//MAX

//Resetトリガ
#define	RESET_TRIG_OFF			(0)		//OFF
#define	RESET_TRIG_ON			(1)		//ON
#define	RESET_TRIG_MAX			(2)		//MAX

//カメラID
enum CAMERA_ID{
	CAMERA_ID_0 = 0,					//カメラID=0
	CAMERA_ID_1,						//カメラID=1
	CAMERA_ID_2,						//カメラID=2
	CAMERA_ID_3,						//カメラID=3
	CAMERA_ID_4,						//カメラID=4
	CAMERA_ID_5,						//カメラID=5
	CAMERA_ID_6,						//カメラID=6
	CAMERA_ID_7,						//カメラID=7
};

#define CAMERA_ID_MAX			CAMERA_ID_7	//カメラIDMAX

//カメラ接続最大数
#define NM33_CONNECT_ENABLE_MAX		(8)	//カメラ接続可能な最大数

//カメラ画像の解像度
#define	CAPTURE_FRAME_WIDTH		(320)
#define	CAPTURE_FRAME_HEIGHT	(240)

//リセット復帰の為のRetry最大回数
#define RESET_RETRY_MAX_CNT		(5)


