// -*-C++-*-
/*!
 * @file  NM33ControlSVC_impl.cpp
 * @brief Service implementation code of NM33Control.idl
 *
 * @author 株式会社 東日本計算センター
 *
 */

#include "NM33ControlSVC_impl.h"
#include "NM33BirdsEyeSystem.h"

/*
 * Example implementational code for IDL interface NM33CameraControlServ::NM33ChangeMode
 */
NM33ChangeModeSVC_impl::NM33ChangeModeSVC_impl()
{
	// Please add extra constructor code here.

	//add
	m_ulNM33ChangeMode = CHG_MODE_DEFAULT;
}


NM33ChangeModeSVC_impl::~NM33ChangeModeSVC_impl()
{
	// Please add extra destructor code here.
}


/*
 * Methods corresponding to IDL attributes and operations
 */
void NM33ChangeModeSVC_impl::SetNM33ChangeMode(CORBA::ULong ulChgMode)
{
	// Please insert your code here and remove the following warning pragma
#ifndef WIN32
	#warning "Code missing in function <void NM33ChangeModeSVC_impl::SetNM33ChangeMode(CORBA::ULong ulChgMode)>"
#endif

	//add
	if(ulChgMode < CHG_MODE_MAX){
		m_ulNM33ChangeMode = ulChgMode;
	}else{
		m_ulNM33ChangeMode = CHG_MODE_DEFAULT;
	}
}

CORBA::ULong NM33ChangeModeSVC_impl::GetNM33ChangeMode()
{
	// Please insert your code here and remove the following warning pragma
#ifndef WIN32
	#warning "Code missing in function <CORBA::ULong NM33ChangeModeSVC_impl::GetNM33ChangeMode()>"
#endif
	return (m_ulNM33ChangeMode);
}



// End of example implementational code

/*
 * Example implementational code for IDL interface NM33CameraControlServ::NM33CaptureMode
 */
NM33CaptureModeSVC_impl::NM33CaptureModeSVC_impl()
{
	// Please add extra constructor code here.

	//add
	m_ulNM33CaptureMode = CAPT_MODE_VIDEO;
}


NM33CaptureModeSVC_impl::~NM33CaptureModeSVC_impl()
{
	// Please add extra destructor code here.
}


/*
 * Methods corresponding to IDL attributes and operations
 */
void NM33CaptureModeSVC_impl::SetNM33CaptureMode(CORBA::ULong ulCaptMode)
{
	// Please insert your code here and remove the following warning pragma
#ifndef WIN32
	#warning "Code missing in function <void NM33CaptureModeSVC_impl::SetNM33CaptureMode(CORBA::ULong ulCaptMode)>"
#endif

	//add
	if(ulCaptMode < CAPT_MODE_MAX){
		m_ulNM33CaptureMode = ulCaptMode;
	}else{
		m_ulNM33CaptureMode = CAPT_MODE_VIDEO;
	}
}

CORBA::ULong NM33CaptureModeSVC_impl::GetNM33CaptureMode()
{
	// Please insert your code here and remove the following warning pragma
#ifndef WIN32
	#warning "Code missing in function <CORBA::ULong NM33CaptureModeSVC_impl::GetNM33CaptureMode()>"
#endif
	return (m_ulNM33CaptureMode);
}



// End of example implementational code

/*
 * Example implementational code for IDL interface NM33CameraControlServ::NM33CaptureTrigger
 */
NM33CaptureTriggerSVC_impl::NM33CaptureTriggerSVC_impl()
{
	// Please add extra constructor code here.

	//add
	m_ulNM33CaptureTrigger = CAPT_TRIG_STOP;
}


NM33CaptureTriggerSVC_impl::~NM33CaptureTriggerSVC_impl()
{
	// Please add extra destructor code here.
}


/*
 * Methods corresponding to IDL attributes and operations
 */
void NM33CaptureTriggerSVC_impl::ReqNM33CaptureTrigger(CORBA::ULong ulCaptTrigger)
{
	// Please insert your code here and remove the following warning pragma
#ifndef WIN32
	#warning "Code missing in function <void NM33CaptureTriggerSVC_impl::ReqNM33CaptureTrigger(CORBA::ULong ulCaptTrigger)>"
#endif
	if(ulCaptTrigger < CAPT_TRIG_MAX){
		m_ulNM33CaptureTrigger = ulCaptTrigger;
	}else{
		m_ulNM33CaptureTrigger = CAPT_TRIG_STOP;
	}
}

CORBA::ULong NM33CaptureTriggerSVC_impl::GetNM33CaptureTrigger()
{
	// Please insert your code here and remove the following warning pragma
#ifndef WIN32
	#warning "Code missing in function <CORBA::ULong NM33CaptureTriggerSVC_impl::GetNM33CaptureTrigger()>"
#endif
	return (m_ulNM33CaptureTrigger);
}



// End of example implementational code

/*
 * Example implementational code for IDL interface NM33CameraSystemContServ::NM33CameraReset
 */
NM33CameraResetSVC_impl::NM33CameraResetSVC_impl()
{
	// Please add extra constructor code here.

	//add
	m_ulNM33CaptureResetTrigger = RESET_TRIG_OFF;
}


NM33CameraResetSVC_impl::~NM33CameraResetSVC_impl()
{
	// Please add extra destructor code here.
}


/*
 * Methods corresponding to IDL attributes and operations
 */
void NM33CameraResetSVC_impl::ReqNM33CaptureReset(CORBA::ULong ulResetTrigger)
{
	// Please insert your code here and remove the following warning pragma
#ifndef WIN32
	#warning "Code missing in function <void NM33CameraResetSVC_impl::ReqNM33CaptureReset(CORBA::ULong ulResetTrigger)>"
#endif

	//add
	if(ulResetTrigger < RESET_TRIG_MAX){
		m_ulNM33CaptureResetTrigger = ulResetTrigger;
	}else{
		m_ulNM33CaptureResetTrigger = RESET_TRIG_OFF;
	}
}

CORBA::ULong NM33CameraResetSVC_impl::GetNM33CaptureReset()
{
	// Please insert your code here and remove the following warning pragma
#ifndef WIN32
	#warning "Code missing in function <CORBA::ULong NM33CameraResetSVC_impl::GetNM33CaptureReset()>"
#endif
	return (m_ulNM33CaptureResetTrigger);
}



// End of example implementational code



